## skrooge 1.4.0

=== CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE ROOT ::..")

PROJECT(skrooge)

cmake_minimum_required(VERSION 2.8)
IF(POLICY CMP0017)
   CMAKE_POLICY(SET CMP0017 OLD) # or even better, NEW
ENDIF(POLICY CMP0017)
IF(POLICY CMP0002)
   CMAKE_POLICY(SET CMP0002 OLD) # to authorize the build with po files   
ENDIF(POLICY CMP0002)

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)
MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

SET(SKG_VERSION "1.4.0")
SET(SKG_BETA "")
SET(SOVERSION 1)
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

IF (CMAKE_BUILD_TYPE)
ELSE (CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE profile)
#"release": optimized for speed, no debug symbols or debug messages
#"relwithdebinfo": optimized for speed, debug symbols for backtraces
#"debug": optimized, but debuggable
#"debugfull": no optimizations, full debug support
#"profile": adds coverage flags to debugfull
#"none": the build flags are manually set using the CMAKE_CXX_FLAGS option.
ENDIF (CMAKE_BUILD_TYPE)

FIND_PROGRAM(SKG_BASH bash)
MARK_AS_ADVANCED(SKG_BASH)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
OPTION(SKG_BUILD_TEST "Build the test" OFF)
MESSAGE( STATUS "     PROJECT_SOURCE_DIR  : " ${PROJECT_SOURCE_DIR} )
MESSAGE( STATUS "     PROJECT_BINARY_DIR  : " ${PROJECT_BINARY_DIR} )
MESSAGE( STATUS "     BUILD_DIR           : " ${BUILD_DIR} )
MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
MESSAGE( STATUS "     SKG_BUILD_TEST      : " ${SKG_BUILD_TEST} )

IF(CMAKE_BUILD_TYPE MATCHES "profile")
  MESSAGE( STATUS "     TRACES              : All traces activated")
  #add_definitions(-DSKGFULLTRACES)
ELSE(CMAKE_BUILD_TYPE MATCHES "profile")
  IF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : Some traces activated")
  ELSE(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : All traces disabled")
    add_definitions(-DSKGNOTRACES)
  ENDIF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")

add_definitions(-DSKGVERSION=${SKG_VERSION}${SKG_BETA})
if(${KDE_VERSION} VERSION_LESS "4.6.0")
    MESSAGE( STATUS "     enable KDE 4.5 API")
else(${KDE_VERSION} VERSION_LESS "4.6.0")
    MESSAGE( STATUS "     enable KDE 4.6 API")
    add_definitions(-DSKGKDE46ENABLED=Y)
endif(${KDE_VERSION} VERSION_LESS "4.6.0")

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasegui/
	${CMAKE_CURRENT_BINARY_DIR}/skgbasegui/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodelertest
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankmodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankgui
	${CMAKE_CURRENT_BINARY_DIR}/skgbankgui)

#Correction bug 207249 vvvv
#SET(CMAKE_CXX_FLAGS "-Wall" )
IF(CMAKE_COMPILER_IS_GNUCXX)
  SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
#Correction bug 207249 ^^^^

#Default installation path
set(CMAKE_INSTALL_PREFIX ${BUILD_DIR})

# Win32 specific configuration
IF(WIN32)
    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
    IF(CMAKE_COMPILER_IS_GNUCXX)
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
    
    IF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
        ADD_DEFINITIONS( -DQT_DEBUG )
    ENDIF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)    
ELSE(WIN32)
#To solve Bug 209912:"ldd -u <library>""
#does not work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
ENDIF(WIN32)
MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")

ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental

#ADD_SUBDIRECTORY
ADD_SUBDIRECTORY(skgbasemodeler)
ADD_SUBDIRECTORY(skgbankmodeler)
ADD_SUBDIRECTORY(skgbasegui)
ADD_SUBDIRECTORY(skgbankgui)

ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(images)

IF(SKG_BUILD_TEST AND NOT WIN32)
	ADD_SUBDIRECTORY(tests)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

#Main application
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(skroogeconvert)
ADD_SUBDIRECTORY(skroogeakonadi)

CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)
CONFIGURE_FILE(scripts/addNewImportPlugin.sh.in scripts/addNewImportPlugin.sh @ONLY)

#DOXYGEN
ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")

#ASTYLE
CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")

#KRAZY
CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
ADD_CUSTOM_TARGET(krazy "scripts/krazy.sh")

#GENERATE ICONS
CONFIGURE_FILE(scripts/generateIcons.sh.in scripts/generateIcons.sh @ONLY)

#GENERATE SPLASH SCREEN
CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")

#LCOV
CONFIGURE_FILE(scripts/removeTmpFile.sh.in scripts/removeTmpFile.sh @ONLY)
CONFIGURE_FILE(scripts/lcov.sh.in scripts/lcov.sh @ONLY)
ADD_CUSTOM_TARGET(lcov "scripts/lcov.sh")
ADD_CUSTOM_TARGET(lcovclean "scripts/lcov.sh" "-b")

CONFIGURE_FILE(CTestCustom.cmake CTestCustom.cmake @ONLY)

#FULL
ADD_CUSTOM_TARGET(full "scripts/full.sh")


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )

=== skgbasegui/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEGUI ::..")

PROJECT(SKGBASEGUI)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KActivities) 

MESSAGE( STATUS "     QT_QTWEBKIT_INCLUDE_DIR  : " ${QT_QTWEBKIT_INCLUDE_DIR} )

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QT_QTWEBKIT_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}/skgbasemodeler
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbasegui_SRCS
   skguniqueapplication.cpp
   skgmainpanel.cpp
   skgobjectmodelbase.cpp
   skgwidget.cpp
   skgtabwidgetdesignerplugin.cpp
   skgtabwidget.cpp
   skgtablewidgetdesignerplugin.cpp
   skgtablewidget.cpp
   skgtabpage.cpp
   skginterfaceplugin.cpp
   skgwidgetcollectiondesignerplugin.cpp
   skgtableviewdesignerplugin.cpp
   skgtableview.cpp
   skgfilteredtableviewdesignerplugin.cpp
   skgfilteredtableview.cpp
   skgtreeviewdesignerplugin.cpp
   skgtreeview.cpp
   skgcomboboxdesignerplugin.cpp
   skgcombobox.cpp
   skgcolorbuttondesignerplugin.cpp
   skgcolorbutton.cpp
   skgzoomselectordesignerplugin.cpp
   skgzoomselector.cpp
   skglineeditdesignerplugin.cpp
   skglineedit.cpp
   skgcalculatoreditdesignerplugin.cpp
   skgcalculatoredit.cpp
   skggraphicsviewdesignerplugin.cpp
   skggraphicsscene.cpp
   skggraphicsview.cpp
   skghtmlboardwidget.cpp
   skgtablewithgraphdesignerplugin.cpp
   skgtablewithgraph.cpp
   skgdateeditdesignerplugin.cpp
   skgprogressbardesignerplugin.cpp
   skgdateedit.cpp
   skgprogressbar.cpp
   kdateedit.cpp
   kdatepickerpopup.cpp
   kdatevalidator.cpp
   skgdatepickerpopup.cpp
   skgsortfilterproxymodel.cpp
   skgflowlayout.cpp
   skgwebview.cpp
   skgwebviewdesignerplugin.cpp
   skgshowdesignerplugin.cpp
   skgshow.cpp
   skgwidgetselectordesignerplugin.cpp
   skgwidgetselector.cpp
 )

kde4_add_ui_files(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgfilteredtableview.ui skgwidgetselector.ui )

kde4_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )

KDE4_ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})

if (KActivities_FOUND)
    MESSAGE( STATUS "     KActivity FOUND" )
    TARGET_LINK_LIBRARIES(skgbasegui ${KACTIVITIES_LIBRARY})
endif (KActivities_FOUND)

TARGET_LINK_LIBRARIES(skgbasegui ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler)
SET_TARGET_PROPERTIES( skgbasegui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbasegui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
IF(SKG_BUILD_TEST)
  IF(WIN32)
    INSTALL(TARGETS skgbasegui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
  ELSE(WIN32)
    INSTALL(TARGETS skgbasegui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
  ENDIF(WIN32)
ENDIF(SKG_BUILD_TEST)  

INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== plugins/generic/skg_advice/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_ADVICE ::..")

PROJECT(plugin_advice)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_advice_SRCS 
    skgadvicedataengine.cpp
	skgadviceplugin.cpp
	skgadviceboardwidget.cpp
	skgtipofdayboardwidget.cpp
)

kde4_add_ui_files(skg_advice_SRCS skgadviceboardwidget.ui skgtipofdayboardwidget.ui)

kde4_add_plugin(skg_advice ${skg_advice_SRCS})
TARGET_LINK_LIBRARIES(skg_advice ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_advice DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-advice.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgadvicedataengine.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_advice.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_advice )

kde4_install_icons(${ICON_INSTALL_DIR})

=== plugins/skrooge/skrooge_operation/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_OPERATION ::..")

PROJECT(plugin_operation)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_operation_SRCS
	skgsplittabledelegate.cpp
	skgoperationplugin.cpp
	skgoperationpluginwidget.cpp 
	skgoperationboardwidget.cpp
)

kde4_add_ui_files(skrooge_operation_SRCS skgoperationpluginwidget_base.ui skgoperationpluginwidget_pref.ui skgoperationpluginwidget_board.ui skgbookmarkboardwidget.ui)
kde4_add_kcfg_files(skrooge_operation_SRCS skgoperation_settings.kcfgc )

kde4_add_plugin(skrooge_operation ${skrooge_operation_SRCS})
TARGET_LINK_LIBRARIES(skrooge_operation ${KDE4_KPARTS_LIBS} ${QT_QTSCRIPT_LIBRARY} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_operation DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-operation.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_operation.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_operation )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgoperation_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
skrooge (1.4.0-2) experimental; urgency=low

  * Add missing Build-Depends: kdepimlibs5-dev, libkactivities-dev,
    xsltproc, libboost1.49-dev

 -- Mark Purcell <msp@debian.org>  Thu, 27 Dec 2012 10:57:03 +1100

skrooge (1.4.0-1) experimental; urgency=low

  * New upstream release
  * skrooge.install added usr/share/akonadi/
  * debian/rules cleanup

 -- Mark Purcell <msp@debian.org>  Mon, 24 Dec 2012 09:37:10 +1100

=== debian/control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev, libkactivities-dev,
               xsltproc, libboost1.49-dev,
               libgrantlee-dev,
               libofx-dev,
               libqca2-dev,
               libqtwebkit-dev,
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.9.0),
               shared-mime-info
Standards-Version: 3.9.2
Homepage: http://skrooge.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/

Package: skrooge
Architecture: any
Depends: libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         skrooge-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, GnuCash, Grisbi, HomeBank import
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Dashboard

Package: skrooge-common
Architecture: all
Depends: ${misc:Depends}
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.

## skrooge 1.6.0

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ko)
add_subdirectory(pt)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(lt)
add_subdirectory(bs)
add_subdirectory(el)
add_subdirectory(ca@valencia)
add_subdirectory(ja)
add_subdirectory(ug)
add_subdirectory(zh_TW)
add_subdirectory(hu)
add_subdirectory(en_GB)
add_subdirectory(da)
add_subdirectory(ca)
add_subdirectory(uk)
add_subdirectory(de)
add_subdirectory(et)
add_subdirectory(pl)
add_subdirectory(nl)
add_subdirectory(cs)
add_subdirectory(nb)
add_subdirectory(sk)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(nds)
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(zh_CN)
add_subdirectory(ms)
add_subdirectory(pt_BR)
add_subdirectory(ru)
add_subdirectory(tr)
add_subdirectory(eo)
add_subdirectory(bg)

=== debian/changelog ===
skrooge (1.6.0-1) experimental; urgency=low

  * Relax Build-Depends: libboost-dev
  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 09:40:26 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
                kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev, libkactivities-dev,
-               xsltproc, libboost1.49-dev,
+               xsltproc, libboost-dev,
                libgrantlee-dev,
                libofx-dev,
                libqca2-dev,

## skrooge 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,24 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.4.0")
+FIND_PACKAGE(Grantlee)
+if( NOT Grantlee_FOUND  )
+  message(FATAL_ERROR "Package Grantlee required, but not found!")
+else( NOT Grantlee_FOUND )
+  message(STATUS "Package Grantlee found!")
+endif( NOT Grantlee_FOUND )
+
+SET(GRANTLEE_VERSION ${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}.${Grantlee_VERSION_PATCH})
+MESSAGE( STATUS "     GRANTLEE VERSION      : " ${GRANTLEE_VERSION})
+
+if(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+    MESSAGE( STATUS "     enable GRANTLEE 0.1.4 API")
+else(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+    MESSAGE( STATUS "     enable GRANTLEE 0.1.7 API")
+    add_definitions(-DSKGGRANTLEE17ENABLED=Y)
+endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
+
+SET(SKG_VERSION "1.7.1")
 SET(SKG_BETA "")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
@@ -74,12 +91,6 @@
 ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")
 
 add_definitions(-DSKGVERSION=${SKG_VERSION}${SKG_BETA})
-if(${KDE_VERSION} VERSION_LESS "4.6.0")
-    MESSAGE( STATUS "     enable KDE 4.5 API")
-else(${KDE_VERSION} VERSION_LESS "4.6.0")
-    MESSAGE( STATUS "     enable KDE 4.6 API")
-    add_definitions(-DSKGKDE46ENABLED=Y)
-endif(${KDE_VERSION} VERSION_LESS "4.6.0")
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
 	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/

=== skgbasegui/CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
    skggraphicsscene.cpp
    skggraphicsview.cpp
    skghtmlboardwidget.cpp
+   skgboardwidget.cpp   
    skgtablewithgraphdesignerplugin.cpp
    skgtablewithgraph.cpp
    skgdateeditdesignerplugin.cpp

=== skgbasemodeler/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE SKGBASEMODELER ::..")

PROJECT(SKGBASEMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

FIND_PACKAGE(QCA2)
if( NOT QCA2_FOUND  )
  message(FATAL_ERROR "     Package QCA2 required, but not found!")
else( NOT QCA2_FOUND )
  message(STATUS "     Package QCA2 found!")
endif( NOT QCA2_FOUND )

FIND_PACKAGE(Sqlite REQUIRED)
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} ${Grantlee_INCLUDE_DIRS} ${SQLITE_INCLUDE_DIR})

SET(skgbasemodeler_SRCS
   skgobjectbase.cpp
   skgnamedobject.cpp
   skgnodeobject.cpp
   skgpropertyobject.cpp
   skgdocument.cpp
   skgtransactionmng.cpp
   skgservices.cpp
   skgerror.cpp
   skgtraces.cpp
   skgadvice.cpp
   skgreport.cpp   
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbasemodeler SHARED ${skgbasemodeler_SRCS})

#need to link to some other libraries ? just add them here
SET_TARGET_PROPERTIES(skgbasemodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
TARGET_LINK_LIBRARIES(skgbasemodeler ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTXML_LIBRARY} ${QCA2_LIBRARIES} ${Grantlee_CORE_LIBRARIES} ${SQLITE_LIBRARIES})

########### install files ###############
INSTALL(TARGETS skgbasemodeler ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== skroogeakonadi/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: SKROOGEAKONADI ::..")
project(skroogeakonadi)

# search packages used by KDE
find_package (KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(CheckIncludeFiles)
find_package (KdepimLibs REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" FALSE "" "Needed for building Akonadi resources. Recommended.")

if (XSLTPROC_EXECUTABLE)
  # generates a D-Bus interface description from a KConfigXT file
  macro( kcfg_generate_dbus_interface _kcfg _name )
    add_custom_command(
      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
              ${_kcfg}
    )
  endmacro( kcfg_generate_dbus_interface )
endif (XSLTPROC_EXECUTABLE)

if(WIN32)
    set(LIB_INSTALL_DIR ${LIB_INSTALL_DIR}
                        RUNTIME DESTINATION ${BIN_INSTALL_DIR}
                        LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                        ARCHIVE DESTINATION ${LIB_INSTALL_DIR} )
endif(WIN32)

set(KDE4_ICON_DIR ${KDE4_INSTALL_DIR}/share/icons)

include_directories(
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/skgbasemodeler
    ${CMAKE_SOURCE_DIR}/${skgbankmodeler}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( skroogeakonadiresource_SRCS
  skroogeakonadiresource.cpp
)

install( FILES skroogeakonadiresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

kde4_add_kcfg_files(skroogeakonadiresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/skroogeakonadiresource.kcfg org.kde.Akonadi.skroogeakonadi.Settings)
qt4_add_dbus_adaptor(skroogeakonadiresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.skroogeakonadi.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_skroogeakonadi_resource RUN_UNINSTALLED ${skroogeakonadiresource_SRCS})

target_link_libraries(akonadi_skroogeakonadi_resource ${KDE4_AKONADI_LIBS} ${KDEPIMLIBS_KCALCORE_LIBS} ${KDE4_KIO_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} skgbasemodeler skgbankmodeler)

install(TARGETS akonadi_skroogeakonadi_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/import/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
#Correction bug 223848 vvvv
#FIND_PACKAGE( LibOfx REQUIRED )
FIND_PACKAGE( LibOfx )

ADD_SUBDIRECTORY(skrooge_import_afb120)
ADD_SUBDIRECTORY(skrooge_import_backend)
ADD_SUBDIRECTORY(skrooge_import_qif)
ADD_SUBDIRECTORY(skrooge_import_csv)
ADD_SUBDIRECTORY(skrooge_import_gnc)
ADD_SUBDIRECTORY(skrooge_import_gsb)
ADD_SUBDIRECTORY(skrooge_import_json)
ADD_SUBDIRECTORY(skrooge_import_kmy)
ADD_SUBDIRECTORY(skrooge_import_mmb)
ADD_SUBDIRECTORY(skrooge_import_mt940)
IF(LIBOFX_FOUND)
  ADD_SUBDIRECTORY(skrooge_import_ofx)
ENDIF(LIBOFX_FOUND)
ADD_SUBDIRECTORY(skrooge_import_skg)

ADD_SUBDIRECTORY(skrooge_import_xhb)
ADD_SUBDIRECTORY(skrooge_import_xml)

=== plugins/applet/account/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
project(plasma-skroogoid-account)
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
)
set(accountskroogoid_SRCS
    accountskroogoid.cpp)

kde4_add_plugin(plasma_skroogoid_account ${accountskroogoid_SRCS})
target_link_libraries(plasma_skroogoid_account ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

install(TARGETS plasma_skroogoid_account DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES accountskroogoid.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/applet/highlightedoperation/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
project(plasma-skroogoid-highlightedoperation)
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
)
set(highlightedoperationskroogoid_SRCS
    highlightedoperationskroogoid.cpp)

kde4_add_plugin(plasma_skroogoid_highlightedoperation ${highlightedoperationskroogoid_SRCS})
target_link_libraries(plasma_skroogoid_highlightedoperation ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

install(TARGETS plasma_skroogoid_highlightedoperation DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES highlightedoperationskroogoid.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/skrooge/skrooge_categories/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_CATEGORIES ::..")

PROJECT(plugin_categories)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} 
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui 
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_categories_SRCS 
	skgcategoriesplugin.cpp 
	skgcategoriespluginwidget.cpp)

kde4_add_ui_files(skrooge_categories_SRCS skgcategoriespluginwidget_base.ui)

kde4_add_plugin(skrooge_categories ${skrooge_categories_SRCS})
TARGET_LINK_LIBRARIES(skrooge_categories ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_categories DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-categories.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_categories.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_categories )

=== plugins/skrooge/skrooge_report/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_REPORT ::..")

PROJECT(plugin_report)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_report_SRCS
	skgreportplugin.cpp
	skgreportpluginwidget.cpp
	skgreportboardwidget.cpp)

kde4_add_ui_files(skrooge_report_SRCS skgreportpluginwidget_base.ui skgreportpluginwidget_pref.ui)
kde4_add_kcfg_files(skrooge_report_SRCS skgreport_settings.kcfgc )

kde4_add_plugin(skrooge_report ${skrooge_report_SRCS})
TARGET_LINK_LIBRARIES(skrooge_report ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_report DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-report.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_report.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_report )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgreport_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== plugins/skrooge/skrooge_scheduled/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_SCHEDULED ::..")

PROJECT(plugin_scheduled)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_scheduled_SRCS
	skgscheduledplugin.cpp
	skgscheduledpluginwidget.cpp
)


kde4_add_ui_files(skrooge_scheduled_SRCS skgscheduledpluginwidget_base.ui skgscheduledpluginwidget_pref.ui)
kde4_add_kcfg_files(skrooge_scheduled_SRCS skgscheduled_settings.kcfgc )

kde4_add_plugin(skrooge_scheduled ${skrooge_scheduled_SRCS})
TARGET_LINK_LIBRARIES(skrooge_scheduled ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_scheduled DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-scheduled.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_scheduled.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_scheduled )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgscheduled_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})

## skrooge 1.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,8 @@
     add_definitions(-DSKGGRANTLEE17ENABLED=Y)
 endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
 
-SET(SKG_VERSION "1.7.1")
-SET(SKG_BETA "")
+SET(SKG_VERSION "1.7.2")
+SET(SKG_BETA "BETA")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

=== debian/changelog ===
skrooge (1.7.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jun 2013 09:05:25 +1000

skrooge (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Update Vcs-Svn: - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - no further changes

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 17:48:36 +1000

skrooge (1.6.3-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 09 Apr 2013 07:13:21 +1000

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                pkg-config,
                pkg-kde-tools (>= 0.9.0),
                shared-mime-info
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://skrooge.org/
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge

## skrooge 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
     add_definitions(-DSKGGRANTLEE17ENABLED=Y)
 endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
 
-SET(SKG_VERSION "1.7.2")
+SET(SKG_VERSION "1.7.4")
 SET(SKG_BETA "BETA")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

=== plugins/import/skrooge_import_mny/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_IMPORT_MNY ::..")

PROJECT(plugin_import_mny)

FIND_PACKAGE(QJSON REQUIRED)
if (${QJSON_VERSION} VERSION_LESS "0.7.2")
    set (QJSON_LIBRARIES   ${qjson_LIBRARIES})
    set (QJSON_INCLUDE_DIR ${qjson_INCLUDE_DIR})
endif()

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QJSON_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_import_mny_SRCS
	skgimportpluginmny.cpp
)


kde4_add_plugin(skrooge_import_mny ${skrooge_import_mny_SRCS})
TARGET_LINK_LIBRARIES(skrooge_import_mny ${KDE4_KPARTS_LIBS} ${QJSON_LIBRARIES} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_import_mny DESTINATION ${PLUGIN_INSTALL_DIR})
#sunriise is not installed because the installation is proposed through the skrooge web site
#INSTALL(FILES ${PROJECT_SOURCE_DIR}/sunriise.jar DESTINATION ${DATA_INSTALL_DIR}/skrooge/sunriise)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-import-mny.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
skrooge (1.7.4-1) unstable; urgency=low

  * New upstream release
  * update debian/watch - thanks Bart
  * Add Build-Depends: libqjson-dev

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jul 2013 21:30:47 +1000
